LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06844Bug reports[All Projects] Installationpublic2012-11-09 17:512012-11-11 15:04
Reporterquaint 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06844: Setting 'baseurl' in config.php does not function as documented
DescriptionAs suggested at http://docs.limesurvey.org/Tokens&structure=English+Instructions+for+LimeSurvey#Wrong_domain_in_invitation_reminder_email_link, [^] I have added the code

'request' => array(
            'baseUrl' => 'http://surveys.northerndeanery.nhs.uk', [^]

to my config.php file.

After adding this file, attempting to access the main LimeSurvey admin screen results in a text-only version.

In this text-only version, surveys are still being listed by the IP address of my server, rather than the baseUrl specified in the config.php file.

If I modify the baseUrl string to read 'http://surveys.northerndeanery.nhs.uk/pineapple' [^]

(where "pineapple" is the root dir of my test LimeSurvey install) then site templates, images and CSS all load properly, however the emailed URLs and the URL listed in the survey title screen are still listed by IP address.
Additional InformationMy organisation will contribute to the project if this problem is satisfactorily resolved. Would £50 (~E65) be an appropriate amount?
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID121106
BrowserChrome
Database & DB-Versionmysqlnd 5.0.10 - 20111026
Operating System (Server)Windows NT SURVEYS 5.2 build 3790 (Windows Server 2003 R2 Standard Edition Service Pack 2) i586
Webserver software & versionApache/2.2.22 (Win32) PHP/5.4.3 mod_ssl/2.2.22 OpenSSL/0.9.8u
PHP VersionPHP/5.4.3
Attached Filespng file icon screengrab baseUrl.png [^] (108,649 bytes) 2012-11-09 17:51

- Relationships

-  Notes
User avatar (22051)
DenisChenu (developer)
2012-11-10 11:46

See https://www.limesurvey.org/forum/installation-a-update-issues/87371-rooturl?limit=10&start=10&lang=en#88031 [^]

    'components' => array(
        'request'=>array(
            'hostInfo'=>'http://example.org', [^]
        ),

To force createabsoluteurl.

But, maybe have to use a $config['rooturl'] to set that.

Denis
User avatar (22060)
c_schmitz (administrator)
2012-11-11 15:04

Updated documentation
User avatar (22061)
c_schmitz (administrator)
2012-11-11 15:04

See http://docs.limesurvey.org/Tokens#Wrong_domain_in_invitation_reminder_email_link [^]

- Issue History
Date Modified Username Field Change
2012-11-09 17:51 quaint New Issue
2012-11-09 17:51 quaint File Added: screengrab baseUrl.png
2012-11-10 11:23 c_schmitz Assigned To => c_schmitz
2012-11-10 11:23 c_schmitz Status new => assigned
2012-11-10 11:46 DenisChenu Note Added: 22051
2012-11-11 15:04 c_schmitz Note Added: 22060
2012-11-11 15:04 c_schmitz Status assigned => resolved
2012-11-11 15:04 c_schmitz Fixed in Version => 2.00+
2012-11-11 15:04 c_schmitz Resolution open => fixed
2012-11-11 15:04 c_schmitz Note Added: 22061
2012-11-11 15:04 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker